Subject: [bug#53878] [RFC PATCH 8/9] gnu: Add chez-scheme-racket-variant.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 10 Feb 2022 08:08:53 +0100

Hi,

Am Mittwoch, dem 09.02.2022 um 20:30 -0500 schrieb Philip McGrath:
> Calling it "chez-scheme-for-racket" is fine with me---it's a little 
> shorter, at least.
Okay.

> As far as splitting it up, yes, that makes sense. (There had at one 
> point been some entanglements that I thought would make that
> difficult, but I've since fixed all those issues anyway.) What do you
> think of splitting it like this?
I'm not entirely sure how the interdependencies are, but I'd do... 

>  >> * gnu/packages/patches/racket-enable-scheme-backport.patch: New
>  >> patch.
>  >> * gnu/local.mk (dist_patch_DATA): Add it.
>  >> * gnu/packages/chez-and-racket-bootstrap.scm (racket-vm-cgc):
> ---
>  >> (racket-vm-bc):
> ---
>  >> (racket-vm-cs):
> ---
>  >> (chez-scheme-for-racket-bootstrap-bootfiles):
>  >> (chez-scheme-for-racket): New variables.
These, then
>  >> (chez-mit)[origin]<snippet>: Add workaround for chez-scheme-for-
> racket.
then
> ---
>  >> (chez-scheme-for-system, racket-vm-for-system): New variables.
> ---
>  >> * gnu/packages/loko.scm (loko-scheme): Use 'chez-scheme-for-
> system'.
>  >> * gnu/packages/emacs-xyz.scm (emacs-geiser-chez): Likewise
>  >> * gnu/packages/chez.scm (chez-srfi):
>  >> (chez-web):
>  >> (chez-sockets):
>  >> (chez-matchable):
>  >> (chez-irregex):
>  >> (chez-fmt):
>  >> (chez-mit):
>  >> (chez-scmutils): Likewise.
> ---
If that's not possible, you can keep racket-vm-for-system as the final
patch.

> Racket 8.4 was just released,[0] so I plan to send a revised series 
> today or tomorrow.
Cool.

> [0]: https://blog.racket-lang.org/2022/02/racket-v8-4.html